using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
    public interface IHostModalRepository : IRepository<HostModal>
    {
        IQueryable<HostModal> LoadByHostID(int hostID);

        HostModal Get(int hostID, int roomTypeModalId);

        HostModal Get(int hostID, string modalAddress);

        void DeteleByHostID(int hostID);

        void DeteleByRoomTypeModal(int hostID, int roomTypeModalID);
    }
}
